# Interface IRuntimeVisibleTypeAnnotationsAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IRuntimeVisibleTypeAnnotationsAttribute extends IClassFileAttribute
Description of a runtime visible type annotations attribute as described in the JVM specifications (added in JavaSE-1.8). This interface may be implemented by clients.

Since:
  3.10

## Method Summary

Modifier and Type
Method
Description
`IExtendedAnnotation[]`
`getExtendedAnnotations()`
Answer back the extended annotations.
`int`
`getExtendedAnnotationsNumber()`
Answer back the number of annotations as described in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getExtendedAnnotationsNumber

int getExtendedAnnotationsNumber()
Answer back the number of annotations as described in the JVM specifications.

Returns:
  the number of annotations

### getExtendedAnnotations

IExtendedAnnotation[] getExtendedAnnotations()
Answer back the extended annotations. Answers an empty collection if none.

Returns:
  the extended annotations. Answers an empty collection if none.